package config

import (
	"codeberg.org/codeberg/pages/server/cache"
	"codeberg.org/codeberg/pages/server/certificates"
	"codeberg.org/codeberg/pages/server/database"
	"codeberg.org/codeberg/pages/server/gitea"
)

type HandlerConfig struct {
	mainDomainSuffix     string
	rawDomain            string
	giteaClient          *gitea.Client
	blacklistedPaths     []string
	allowedCorsDomains   []string
	defaultBranches      []string
	dnsLookupCache       cache.ICache
	canonicalDomainCache cache.ICache
	redirectsCache       cache.ICache
}

type TLSConfig struct {
	mainDomainSuffix     string
	firstDefaultBranch   string
	giteaClient          *gitea.Client
	acmeClient           *certificates.AcmeClient
	keyCache             cache.ICache
	challengeCache       cache.ICache
	dnsLookupCache       cache.ICache
	canonicalDomainCache cache.ICache
	certDB               database.CertDB
}
